> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Provider company clients

GET https://api.filesearch.dev/v2/datasets/odyssey/service-providers/{provider_id}/companies

Get company clients served by this service provider (renamed from clients)

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/service-providers/service-providers-companies

## Request

### Path parameters

- `provider_id` (string, required) — Service provider entity ID

### Query parameters

- `limit` (integer, optional, default: 25)

## Response

### 200

Successful Response

- `entity_id` (string, optional)
- `companies` (list of OdysseyServiceProvidersCompaniesResponseCompaniesItems, optional)
- `total` (integer, optional)
- `limit` (integer, optional)
- `data_sources` (list of string, optional)

## Types

### OdysseyServiceProvidersCompaniesResponseCompaniesItems

- `title` (string, optional)
- `url` (string, optional)
- `excerpts` (list of string, optional)
- `source` (string, optional)

## Examples

**Response**

```json
{
  "entity_id": "kirkland & ellis",
  "companies": [
    {
      "title": "Kirkland & Ellis - Wikipedia",
      "url": "https://en.wikipedia.org/wiki/Kirkland_%26_Ellis",
      "excerpts": [
        "Notable clients and cases · Brown & Williamson, a tobacco company. · Bristol-Myers Squibb in its US$90 billion acquisition of Celgene, the largest ... History · Rankings · Notable clients and cases · Pro bono work Notable clients and cases · Brown & Williamson, a tobacco company. · Bristol-Myers Squibb in its US$90 billion acquisition of Celgene, the largest Notable clients and cases · Brown & Williamson, a tobacco company. · Bristol-Myers Squibb in its US$90 billion acquisition of Celgene, the largest ... History · Rankings · Notable clients and cases · Pro bono work Notable clients and …"
      ],
      "source": "web_search"
    },
    {
      "title": "Who Represents America's Biggest Companies | News | Kirkland & Ellis LLP",
      "url": "https://www.kirkland.com/news/award/2013/10/who-represents-americas-biggest-companies",
      "excerpts": [
        "Kirkland & Ellis LLP Kirkland & Ellis LLP\n* Home\n* News & Insights\n* Who Represents America's Biggest Companies\nMenu\nTop\nAward _Corporate Counsel_\n\n# Who Represents America's Biggest Companies\nOctober 2013\n* [](https://www.linkedin.com/shareArticle?mini=true&url=https%3a%2f%2fwww.kirkland.com%2fnews%2faward%2f2013%2f10%2fwho-represents-americas-biggest-companies \"LinkedIn\")\nIn the 12th annual “Who Represents America’s Biggest Companies” survey, _Corporate Counsel_ named the go-to law firms for America’s biggest corporations. _Corporate Counsel_ examined public records to determine the outside …"
      ],
      "source": "web_search"
    }
  ],
  "total": 16,
  "limit": 25,
  "data_sources": [
    "market_intelligence"
  ]
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/service-providers/kirkland%20%26%20ellis/companies",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/service-providers/kirkland%20%26%20ellis/companies`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```